/*   Copyright (C) 2011,2012,2013,2014,2015,2016,2017 John Kula */

/*
    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

    All trademarks and service marks contained within this document are
    property of their respective owners.

    Version 2017.09.08

    Updates may be found at: http:\\www.darkwavetech.com

*/
/*jslint browser:true */

/* This function outputs the browser, system and user langaguge and uses the navigator.language, navigator languages, navigator.browserLanguage, navigator.systemLanguage and navigator.userLanguage objects */

function fingerprint_language() {
"use strict";

var strSep, strPair, strOnError, strLang, strTypeLng, strTypeLngs, strTypeBrLng, strTypeSysLng, strTypeUsrLng, strOut;

strSep = "|";
strPair = "=";
strOnError = "Error";
strLang = null;
strTypeLng = null;
strTypeLngs = null;
strTypeBrLng = null;
strTypeSysLng = null;
strTypeUsrLng = null;
strOut = null;

try {
strTypeLng = typeof (navigator.language);
strTypeLngs = typeof (navigator.languages);
strTypeBrLng = typeof (navigator.browserLanguage);
strTypeSysLng = typeof (navigator.systemLanguage);
strTypeUsrLng = typeof (navigator.userLanguage);

if (strTypeLng !== "undefined") {
strLang = "lang" + strPair + navigator.language + strSep;
} else {
strLang = "lang" + strPair + "undefined" + strSep;
}

if (strTypeLngs !== "undefined") {
strLang = "langs" + strPair + navigator.languages + strSep;
} else {
strLang = "langs" + strPair + "undefined" + strSep;
}

// Microsoft specific properties
if (strTypeBrLng !== "undefined") {
strLang = "brlang" + strPair + navigator.browserLanguage + strSep;
} else {
strLang = "brlang" + strPair + "undefined" + strSep;
}

if strTypeSysLng !== "undefined") {
strLang = "syslang" + strPair + navigator.systemLanguage + strSep;
} else {
strLang = "syslang" + strPair + "undefined" + strSep;
}

if strTypeUsrLng !== "undefined") {
strLang = "usrlang" + strPair + navigator.userLanguage;
} else {
strLang = "usrlang" + strPair + "undefined";
}
strOut = strLang;
return strOut;
} catch (err) {
return strOnError;
}
}